iOS Question Error uploading IPA (solved)

MitchBu

Well-Known Member
Licensed User
I am trying to upload the IPA to the App Store from the hosted builder, and I get the error below.

What is going on ? How can I remedy this ? TIA


B4X:
[2021-08-10 21:27:35 IST] <main> DBG-X:   parameter FileSizes = {C_Users_mitch_Documents_Matchfonts_1_-_Development_B4i_Check_Printer_B4i_Objects_Check_Printer_Plus.ipa=10779241}
[2021-08-10 21:27:35 IST] <main> DBG-X:   parameter ErrorCode = 1102
[2021-08-10 21:27:35 IST] <main> DBG-X:   parameter ErrorMessage = ERROR ITMS-90017: "This bundle is invalid. The IPA format requires a top-level directory named Payload, containing only a .app bundle and optional plugins in a Plugins directory.
(1102)
[2021-08-10 21:27:35 IST] <main> DBG-X:   parameter ShouldUseRESTAPIs = false
[2021-08-10 21:27:35 IST] <main> ERROR: ERROR ITMS-90017: "This bundle is invalid. The IPA format requires a top-level directory named Payload, containing only a .app bundle and optional plugins in a Plugins directory."
[2021-08-10 21:27:35 IST] <main> DBG-X: The error code is: 1102
[2021-08-10 21:27:35 IST] <main>  INFO: Done performing authentication.
[2021-08-10 21:27:35 IST] <main>  INFO: JSON:{"msg":{"phase":"Upload","count":3,"description":"Operation failed","index":3},"messageType":"VerifyProgress"}
[2021-08-10 21:27:35 IST] <main> DBG-X: Returning 1
2021-08-10 21:27:35.300 altool[14664:1766724]  Out:



Package Summary:

1 package(s) were not uploaded because they had problems:
    /var/folders/p6/mldl3_gx44qfvmp9tc1b4g8c0000gp/T/CCBB1905-1A8F-40B9-AD79-8554E0035302/1565928435.itmsp - Error Messages:
        ERROR ITMS-90017: "This bundle is invalid. The IPA format requires a top-level directory named Payload, containing only a .app bundle and optional plugins in a Plugins directory."
2021-08-10 21:27:35.345 altool[14664:1766717] *** Error: Error uploading 'C:\Users\mitch\Documents\Matchfonts\1 - Development\B4i\Check Printer+ B4i\Objects\Check Printer Plus.ipa'.
2021-08-10 21:27:35.345 altool[14664:1766717] *** Error: code -18000 (ERROR ITMS-90017: "This bundle is invalid. The IPA format requires a top-level directory named Payload, containing only a .app bundle and optional plugins in a Plugins directory.")
 
Last edited:
Top